import winston from 'winston';
import { LoggerInterface } from './LoggerInterface';
declare class Logger implements LoggerInterface {
    constructor();
    protected logger: winston.Logger;
    protected indexableProperties: {
        type: string;
        durationinMillis: string;
        statusCode: string;
        code: string;
        namespace: string;
        request: string;
        error: string;
        errorCode: string;
    };
    protected format: winston.Logform.Format;
    protected stringifyMessage: (message: any) => string;
    protected indexLogProperties(message: any): Record<string, any>;
    log: (message: any) => winston.Logger;
    info: (message: any) => winston.Logger;
    debug: (message: any) => winston.Logger;
    warn: (message: any) => winston.Logger;
    error: (message: any) => winston.Logger;
}
export declare const logger: Logger;
export {};
